Description

1. after login, get the list of roads (Road Code, Road Name) which are added 7 days before the current logged in date.
2. we need to create a new SP for the same and call this SP after the GetUserDet service.

3. we need to create another service controller for this in CommonController.

4. we need to show notification icon on the user icon in the Ul if the output from the SP is having data, else no icon to be shown.
5. when we click on the notification icon, then show the respective data in a table in a popup.

6. when we click on the respective row in the table in the popup, we should re-direct the user to RLRS > Network Management >
Network Data > Road Master menu page and open the respective data in edit mode.

7. when a user is adding a new road either from add screen or import, we need to refresh this SP call and show to the same user the
notification. but for other users it can be shown after the user logs-in again.

History

#1 - 29/04/2024 10:00 PM - Praveen kumar Bandi

- Assignee changed from Bhanuchander Sannidhanam to Praveen kumar Bandi

#2 - 30/04/2024 09:42 PM - Praveen kumar Bandi

- Status changed from New to In Progress

#3 - 28/05/2024 06:06 AM - Praveen kumar Bandi

- Status changed from In Progress to Ready for Prod
